import { ChangeEvent, FormEvent } from "react";
import { ErrorRecord } from "../interfaces/IUseForm";
export declare const useFormCustom: <T extends Record<keyof T, any> = {}>(options?: {
    validations?: Partial<Record<keyof T, import("../interfaces/IUseForm").Validation>> | undefined;
    initialValues?: Partial<T> | undefined;
    onSubmit?: (() => void) | undefined;
    onChange?: ((key: keyof T, value: any) => void) | undefined;
} | undefined) => {
    data: T;
    handleChange: <S extends unknown>(key: keyof T, sanitizeFn?: ((value: string) => S) | undefined) => (e: ChangeEvent<HTMLInputElement & HTMLSelectElement>) => void;
    handleChangeValue: <S_1 extends unknown, TP extends unknown>(key: keyof T, sanitizeFn?: ((value: TP) => S_1) | undefined) => (e: any) => void;
    handleSubmit: (e: FormEvent<HTMLFormElement>) => Promise<void>;
    errors: ErrorRecord<T>;
};
